local wezterm = require 'wezterm'
local config = {}

config.font = wezterm.font 'IosevkaTermSlab Nerd Font Mono'
config.font_size = 11.0

config.cursor_blink_rate = 800

config.colors = {
    background = '#101010',
    foreground = '#BBBBBB',

    cursor_bg = '#22785E',
    cursor_fg = '#000000',

    selection_fg = '#D3D7CF',
    selection_bg = '#262626',

    ansi = {"#010101","#d62222","#3ba04d","#757575","#2288d6","#aa7240","#11a0af","#a6adc8"}
}

config.window_decorations = "NONE"
config.window_frame = {
    inactive_titlebar_bg = '#2d2d2d',
    active_titlebar_bg = '#232323',
}

config.inactive_pane_hsb = {
  saturation = 1.0,
  brightness = 0.4,
}

config.keys = {
  { key = 'h', mods = 'CTRL',
    action = wezterm.action.SplitHorizontal { domain = 'CurrentPaneDomain' },
  },
  { key = 'v', mods = 'CTRL',
    action = wezterm.action.SplitVertical { domain = 'CurrentPaneDomain' },
  },
  { key = 'w', mods = 'CTRL',
    action = wezterm.action.CloseCurrentPane { confirm = true },
  },
}

return config
